

<!--
**  $Id: server.html 4323 2010-06-26 15:46:44Z runa $
** 
**  This file is part of Vidalia, and is subject to the license terms in the
**  LICENSE file, found in the top level directory of this distribution. If 
**  you did not receive the LICENSE file with this file, you may obtain it
**  from the Vidalia source package distributed by the Vidalia Project at
**  http://www.vidalia-project.net/. No part of Vidalia, including this file,
**  may be copied, modified, propagated, or distributed except according to
**  the terms described in the LICENSE file.
-->
<html>
<body>

<h1>ضبط مرحّل تور</h1>
<hr />

تتألف شبكة تور من متطوعين من جميع أنحاء العالم الذين يتبرعون ببعض من عرض
النطاق الترددي الاضافي الخاص بهم عن طريق تشغيل مرحل تور. فيداليا يساعدك على
القيام بدورك عن طريق جعله أسهل لضبط المرحل الخاص بك.  <a name="basic"/>
<h3>إعدادات أساسية</h3>
<p>
إذا قررت أن تساعد شبكة تور في النموّ عن طريق تشغيل مرحلّ ، يمكنك إتّباع هذه
الخطوات للبدء:
</p>
<ol>
  <li>
    إفتح <i>صندوق حوار التكوين</i> عن طريق إختيار <i>إعدادات</i> من قائمة الشريط
أو <i>تفضيلات</i> من شريط القائمة لنظامك الخاص في أنظمة ماكنتوش.
  </li>
  <li>إختر صفحة تكوين <i>المرحّل</i> .</li>
  <li>
    قرر اذا كنت تريد تشغيل مرحّل تور عادي أو مرحل <i>جسر</i> (Tor 0.2.0.8-alpha
أو أحدث). مرحلات الجسر تساعد مستخدمي تور المراقبين الذين منعوا من الوصول إلى
شبكة تور مباشرة.  ضع علامة في الصندوق المسمّى <i>حركة مرور مرحل لشبكة
تور</i> اذا أردت تشغيل مرحل تور عادي أو <i>مساعدة مستخدمين مراقبين للوصول
الى شبكة تور</i> اذا اردت تشغيل مرحّل جسر.
  </li>
  <li>أدخل المعلومات التالية:</li>
    <ul>
      <li><b>الاسم المستعار</b>: الاسم الذي سوف يكون المرحّل الخاص بك معروفا على شبكة
تور. مثال على اسم مستعار لمرحل هو "مرحل فيداليا الخاص بي".
      </li>
      <li><b>معلومات الاتصال</b>: عنوان البريد الالكتروني الخاص بك. سوف يتم استخدام
هذا العنوان فقط للاتصال بك في حال كان هناك تحديث أمني مهم لتور او حدث خطأ ما
يتعلق بالمرحّل الخاص بك. يمكنك ايضا شمل هوية مفتاح الخصوصية الجيدة جدا (PGP)
أو حارس خصوصية جنو (GPG) الخاص بك والبصمة.
      </li>
      <li><b>منفذ المرحل</b>: المنفذ الذي من خلاله سوف يقوم المرحل الخاص بك بالاستماع
لحركة المرور من العملاء أو غيره من مرحّلات تور.
      </li>
    </ul>
  <li>
    إذا كنت تريد تثبيت نسخة مطابقة لدليل تور للمرحّلات للآخرين على الشبكة يمكنك
وضع علامة في الصندوق المسمى <i>نسخة مطابقة لدليل مرحّل</i>.  إذا لم يكن لديك
الكثير من عرض النطاق الترددي، أزل العلامة من هذا الصندوق. اذا قررت تثبيت
نسخة مطابقة لدليل المرحّل, تأكد بأن <i>منفذ الدليل</i> مختلف عن <i>منفذ
المرحّل</i> الذي ادخلته في الاعلى. مرحلات الجسر <i>يجب ان تكون</i> نسخة
مطابقة لدليل المرحّل.
  </li>
</ol>

<a name="bandwidth"/>
<h3>حدود عرض النطاق الترددي</h3>
<p>
تشغيل مرحل تور يمكن أن يستهلك كمية كبيرة من عرض النطاق الترددي; ومع ذلك، تور
يسمح لك بتحديد مقدار عرض النطاق الترددي الذي تريد ان تساهم به في شبكة
تور. يمكنك تشغيل مرحل, في حين لا تزال تحتفظ بإتصال الشبكة خاصتك التي يمكن
استخدامها لاستخدامك الخاص.
</p>
<p>
يجب عليك تحديد الخيار في صندوق القائمة المنسدلة التي تطابق أفضل سرعة اتصال
لديك. اذا قمت بإختيار <i>مخصص</i>, ستكون قادرا على تحديد الحدود الخاصة بك.
</p>
<h4>الحدود المخصصة</h4>
<p>
إن <i>المعدل الاقصى</i>هو مجموعة من البايتات المستخدمة لتلبية الطلبات خلال
فترات قصيرة من حركة مرور أعلى من <i>معدل المتوسط</i>المحدد الخاص بك, لكن لا
تزال تحتفظ بالمتوسط على مدى فترة طويلة. معدل متوسط منخفض ولكن المعدل الأقصى
العالي يفرض المتوسط على المدى الطويل في حين لا يزال يسمح بالمزيد من الحركة
خلال أوقات الذروة إذا لم يتم التوصل الى المتوسط مؤخرا. اذا كان معدل المتوسط
الخاص بك هو نفس <i>المعدل الاقصى الخاص بك</i>, فإن تور سوف لن يتجاوز المعدل
المحدد أبدا. يجب ان يكون <i>المعدل الاقصى</i> الخاص بك دائما أكبر من أو
مساوي <i>لمعدل المتوسط الخاص بك</i>.
</p>
<p>
ان <i>معدل المتوسط</i> هو معدل عرض النطاق الترددي الاقصى طويل المدى المسموح
(على شكل كيلو بايتات في الثانية). على سبيل المثال, قد ترغب في اختيار 2 ميجا
بايت في الثانية (2048 كيلو بايت/الثانية), أو 50 كيلو بايت في الثانية (اتصال
كيبل متوسط السرعة). تور يتطلب 20 كيلو بايت في الثانية كحد أدنى لتشغيل
المرحّل.
</p>
<p>
من المهم تذكر ان تور يقيس عرض النطاق الترددي <b>بالبايتات</b>, وليس
بالبت. أيضا, سوف يقوم تور بالبحث فقط عن البايتات الواردة وليس البايتات
الصادرة. على سبيل المثال, اذا عمل المرحّل الخاص بك كنسخة مطابقة لدليل, قد
تقوم بإرسال بايتات صادرة أكثر من الواردة. اذا وجدت ان هذه هي الحالة وأنك تضع
عبئا كبيرا جدا على عرض النطاق الترددي الخاص بك, يجب عليك أن تنظر بعين
الاعتبارالى  إزالة علامة التحديد في صندوق الاختيار المسمى <i>نسخة مطابقة
لدليل مرحّل</i>.
</p>

<a name="exitpolicy"/>
<h3>سياسات المخرج</h3>
<p>
سياسات المخرج تعطيك طريقة لتحديد أي نوع من الموارد على شبكة الإنترنت ترغب
بالسماح للمستخدمين الآخرين بالوصول إليها من مرحّل تور الخاص بك. تور يستخدم
القائمة الافتراضية لسياسات المخرج التي تقيد بعض الخدمات, مثل البريد لمنع
البريد المزعج وبعض منافذ مشاركة الملف الافتراضي للحد من إساءة استخدام شبكة
تور. 
</p>
<p>
كل من صناديق الاختيار يمثل نوع من الموارد التي يمكنك السماح لمستخدمي تور من
الوصول اليها عن طريق المرحّل الخاص بك. إذا قمت بإزالة علامة التحديد في
الصندوق المجاور لنوع معين من الموارد, لن يسمح لمستخدمي تور بالوصول إلى ذلك
المورد من المرحل الخاص بك. اذا كان الصندوق المسمى <i>خدمات أخرى متنوعة</i>
قد تم وضع علامة تحديد فيه, سوف يتمكن مستخدمي تور من الوصول إلى الخدمات
الأخرى غير المشمولة في صناديق الاختيار الأخرى أو سياسة مخرج تور الافتراضية.
</p>

<p>
للتأكد من اكتماله, يعمل الجدول التالي على سرد أرقام منفذ معين ممثلة من كل
صناديق إختيار سياسة المخرج. عمود <b>الوصف</b> يصف الموارد التي سوف يسمح
لعملاء تور بالوصول اليها من خلال المرحّل الخاص بك, اذا تم وضع علامة في
الصندوق المرتبط.
</p>

<table border="1">
<tr>
  <td><b>صندوق اختيار</b></td>
  <td><b>منافذ</b></td>
  <td><b>وصف</b></td>
</tr>
<tr>
  <td>مواقع</td>
  <td valign="middle">80</td>
  <td>طبيعي، تصفح الإنترنت غير مشفر</td>
</tr>
<tr>
  <td>مواقع آمنة (SSL)</td>
  <td valign="middle">443</td>
  <td>تصفح الإنترنت مشفر</td>
</tr>
<tr>
  <td>استرداد البريد (POP, IMAP)</td>
  <td valign="middle">110, 143, 993, 995</td>
  <td>تنزيل البريد الإلكتروني (لا يسمح بإرسال البريد الإلكتروني)</td>
</tr>
<tr>
  <td>التراسل الفوري (IM)</td>
  <td valign="middle">703, 1863, 5050, 5190, 5222, 5223, 8300, 8888</td>
  <td>تطبيقات التراسل الفوري مثل MSN Messenger, AIM, ICQ, و Jabber</td>
</tr>
<tr>
  <td>دردشة مرحّل الانترنت (IRC)</td>
  <td valign="middle">6660-6669, 6697, 7000-7001</td>
  <td>عملاء وخوادم دردشة مرحّل الانترنت (IRC)</td>
</tr>
<tr>
  <td>متنوعة. خدمات أخرى</td>
  <td valign="middle">*</td>
  <td>جميع التطبيقات الأخرى التي تكون غير مشمولة من قبل صناديق الإختيار السابقة</td>
</tr>
</table>

<p>
إذا كنت لا تريد السماح لمستخدمي تور الآخرين من إجراء اتصالات خارج شبكة تور
من المرحّل الخاص بك, يمكنك إزالة التحديد عن جميع صناديق الاختيار. حتى اذا
قمت  بإزالة التحديد عن جميع صناديق الاختيار, سوف يبقى المرحّل الخاص بك مفيدا
لشبكة تور. سوف يقوم المرحّل الخاص بك بالسماح لمستخدمي تور الآخرين بالاتصال
بشبكة تور وسوف يساعد حركة مرور المرحّل بين مرحّلات تور الأخرى. 
</p>
<p>
اذا إخترت تشغيل مرحل جسر, فإن علامة <i>سياسات المخرج</i> سوف تصبح رمادية
اللون, حيث ان مرحلات الجسر لا تسمح بإتصالات المخرج. تستخدم الجسور فقط من قبل
عملاء تور للاتصال بشبكة تور.
</p>


<a name="upnp"/>
<h3>إعادة توجيه المنفذ</h3>
<p>
العديد من المستخدمين المنزليين يتصلون بالإنترنت عبر <i>الراوتر</i> الذي يسمح
لعدة أجهزة كمبيوتر على شبكة الاتصال المحلية بالمشاركة في نفس اتصال
الإنترنت.  بعض المستخدمين قد يكونون أيضا خلف حماية <i>جدار الحماية</i> الذي
يحظر الاتصالات الواردة إلى جهازك الكمبيوتر من أجهزة الكمبيوتر الأخرى على
شبكة الإنترنت.  اذا اردت تشغيل مرحّل تور, مع ذلك, يجب ان يكون لدى عملاء
ومرحّلات تور الآخرين القدرة على الاتصال بمرحّلك الخاص من خلال جهاز التوجيه
(الراوتر) الخاص بك أو جدار الحماية. 
</p>

<p>
لجعل المرحّل الخاص بك قابل للوصول من قبل العامة, يجب على جهاز التوجيه
(الراوتر) أو جدار الحماية الخاص بك معرفة أي المنافذ التي يسمح بها من خلال
جهازك الكمبيوتر عن طريق ضبط ما يعرف <i>بإعادة توجيه المنفذ</i>. إعادة توجيه
المنفذ يعمل على تكوين جهاز التوجيه (الراوتر) او جدار الحماية "لإعادة توجيه"
جميع الاتصالات لمنافذ معينة على جهاز التوجيه (الراوتر) او جدار الحماية الخاص
بك الى منافذ محلية على جهازك الكمبيوتر.
</p>

<p>
اذا قمت بتحديد الصندوق المسمّى <i>محاولة تكوين إعادة توجيه المنفذ
تلقائيا</i>, سوف يقوم فيداليا بمحاولة ضبط إعادة توجيه المنفذ تلقائيا على
اتصال الشبكة المحلية الخاص بك بحيث يستطيع عملاء تور الآخرين من الاتصال
بمرحّلك الخاص. ليست كل أجهزة التوجيه (الراوتر) تدعم إعادة توجيه المنفذ
التلقائي, مع ذلك. يمكنك استخدام زر <i>إختبار</i>  بجوار صندوق الاختيار
لمعرفة اذا كان فيداليا قادرا على ضبط إعادة توجيه المنفذ تلقائيا لك.
</p>

<p>
اذا وجد زر <i>الإختبار</i> ان فيداليا غير قادر على ضبط إعادة توجيه المنفذ
لك, قد تحتاج إلى تمكين هذه الميزة على جهاز التوجيه (الراوتر) الخاص بك أو ضبط
إعادة توجيه المنفذ يدويا. بعض أجهزة شبكة الاتصال لديها ميزة تدعى
<i>Universal Plug-and-Play</i> (UPnP). إذا كان يمكنك الوصول إلى واجهة جهاز
التوجيه (الراوتر) الإداري, عليك أن تبحث عن خيار لتمكين ميزة (UPnP). الواجهة
الادارية لمعظم أجهزة التوجيه (الراوتر) يمكن الوصول اليها عن طريق فتح <a
href="http://192.168.0.1/">http://192.168.0.1</a> أو <a
href="http://192.168.1.1/">http://192.168.1.1</a> في متصفّح الويب الخاص
بك. عليك الرجوع الى دليل جهاز التوجيه (الراوتر) الخاص بك للمزيد من
المعلومات.
</p>

<p>
اذا إحتجت الى ضبط إعادة توجيه المنفذ يدويا, فإن الموقع <a
href="http://www.portforward.com/english/routers/port_forwarding/routerindex.htm">
portforward.com</a> لديه تعليمات عن كيفية ضبط إعادة توجيه المنفذ لأنواع
عديدة من أجهزة التوجيه (الراوترات) وجدران الحماية. كحد أدنى, سوف تحتاج الى
إعادة توجيه <i>منفذ المرحّل</i> الخاص بك, والذي افتراضياته الى المنفذ 443
على ويندوز و 9001 على جميع أنظمة التشغيل الأخرى. اذا قمت ايضا بتحديد صندوق
الإختيار المسمّى <i>نسخة مطابقة لدليل المرحّل</i>, فإنك سوف تحتاج ايضا الى
إعادة توجيه <i>منفذ الدليل</i> الخاص بك. يتم ضبط <i>منفذ الدليل</i> الى
المنفذ 9030 افتراضيا على جميع أنظمة التشغيل.
</p>

</body>
</html>

